Repository 32bit  Forum
Repository 64bit  Wiki

Problema con slackpkg [RISOLTO]

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Problema con slackpkg [RISOLTO]

Messaggioda rfringuello89 » ven apr 08, 2011 19:09

Salve a tutti.. Uso slackware current e da una settimana ormai non riesco piu' ad aggiornarmi a current facendo "slackpkg update" ottengo sempre l'errore:

ERROR: Verification of the gpg signature on CHECKSUMS.md5
failed! This could mean that the file is out of date
or has been tampered with.


Capita anche a voi? Mi consigliate di disabilitare questa verifica dallo slackpkg.conf? Grazie a tutti
Ultima modifica di rfringuello89 il sab apr 09, 2011 13:09, modificato 1 volta in totale.
"When you know Slackware, you know Linux… when you know Red Hat, all you know is Red Hat."
Avatar utente
rfringuello89
Linux 2.4
Linux 2.4
 
Messaggi: 244
Iscritto il: sab feb 21, 2009 18:47
Nome Cognome: Renato Fringuello
Slackware: 64 current
Kernel: 3.13.3
Desktop: kde 4.12.4 [Alien]

Re: Problema con slackpkg

Messaggioda metrofox » ven apr 08, 2011 19:33

Da che mirror scarichi?
Avatar utente
metrofox
Linux 2.6
Linux 2.6
 
Messaggi: 758
Iscritto il: gio ago 07, 2008 11:29
Slackware: slackware64-current
Kernel: 3.4.4-ck3
Desktop: FluxBox-1.3.1
Distribuzione: FreeBSD-8.1(amd64)

Re: Problema con slackpkg

Messaggioda rfringuello89 » ven apr 08, 2011 19:46

Ne ho provato diversi.. Non sarà mica perchè io ho sempre la vecchia slackware 13.1 sempre aggiornata a current e ora i repository fanno riferimento a 13.37? In tal caso dovrò forzatamente installarmi la 13.37 se voglio stare al passo
"When you know Slackware, you know Linux… when you know Red Hat, all you know is Red Hat."
Avatar utente
rfringuello89
Linux 2.4
Linux 2.4
 
Messaggi: 244
Iscritto il: sab feb 21, 2009 18:47
Nome Cognome: Renato Fringuello
Slackware: 64 current
Kernel: 3.13.3
Desktop: kde 4.12.4 [Alien]

Re: Problema con slackpkg

Messaggioda rfringuello89 » ven apr 08, 2011 20:33

forse ho frainteso le voci lette su internet fatto sta che nei mirror non c'è traccia di 13.37 solo current e 13.1 non capisco proprio.. ha smesso di funzionare presumo in seguito a un aggiornamento di slackpkg stesso in quando ho dovuto ripristinare la mia vecchia blacklist e il mio vecchio mirror... potete dirmi voi un mirror da usare?
"When you know Slackware, you know Linux… when you know Red Hat, all you know is Red Hat."
Avatar utente
rfringuello89
Linux 2.4
Linux 2.4
 
Messaggi: 244
Iscritto il: sab feb 21, 2009 18:47
Nome Cognome: Renato Fringuello
Slackware: 64 current
Kernel: 3.13.3
Desktop: kde 4.12.4 [Alien]

Re: Problema con slackpkg

Messaggioda Bart » sab apr 09, 2011 9:24

Hai provato a reinstallarlo e a sovrascrivere il file dei mirror quando te lo chiede(tasto O)?
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Re: Problema con slackpkg

Messaggioda conraid » sab apr 09, 2011 10:11

in questo momento la 13.37 non esiste, ma che sia tutto predisposto con i mirror della 13.37 è normale, la current è una versione di sviluppo e appena sarà "bloccata" diventerà la nuova stable, quindi deve essere tutto pronto
se stai usando la current lascia i mirror della current. Appena esce la stable hai due scelte
1) continuare ad usare i mirror della current, con tutti i pro ed i contro del caso
2) usare i mirror della stable, e così slackpkg aggiornerà solamente con gli aggiornamenti di sicurezza
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Problema con slackpkg

Messaggioda rfringuello89 » sab apr 09, 2011 12:18

Salve, io uso questo mirror:

ftp://ftp.belnet.be/packages/slackware/ ... 4-current/

praticamente da quando ho installato slackware ho sempre usato questo. E ora non capisco il perchè di questo diavolo di errore
"When you know Slackware, you know Linux… when you know Red Hat, all you know is Red Hat."
Avatar utente
rfringuello89
Linux 2.4
Linux 2.4
 
Messaggi: 244
Iscritto il: sab feb 21, 2009 18:47
Nome Cognome: Renato Fringuello
Slackware: 64 current
Kernel: 3.13.3
Desktop: kde 4.12.4 [Alien]

Re: Problema con slackpkg

Messaggioda rfringuello89 » sab apr 09, 2011 13:08

Ragazzi non so che dirvi! Hi disinstallato slackpkg rimosso ogni file che era presente nell'hard disk, ho installato quello che c'era nella ISO di quando ho installato slackware. Subito dopo ho ripristinato il mirror che ho citato sopra e la mia blacklist e facendo update non ho avuto alcun problema e tanto meno con upgrade-all

Grazie a tutti per l'aiuto!
"When you know Slackware, you know Linux… when you know Red Hat, all you know is Red Hat."
Avatar utente
rfringuello89
Linux 2.4
Linux 2.4
 
Messaggi: 244
Iscritto il: sab feb 21, 2009 18:47
Nome Cognome: Renato Fringuello
Slackware: 64 current
Kernel: 3.13.3
Desktop: kde 4.12.4 [Alien]


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Google [Bot] e 1 ospite